For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
            • GETList Channels
            • POSTCreate Channel
            • GETGet Channel
            • PUTUpdate Channel
              • GETList Channel Metafields
              • POSTCreate Multiple Metafields
              • PUTUpdate Multiple Metafields
              • DELDelete Multiple Metafields
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementChannelsBatch Metafields

Create Multiple Metafields

POST
https://api.bigcommerce.com/stores/:store_hash/v3/channels/metafields
POST
/stores/:store_hash/v3/channels/metafields
$curl -X POST https://api.bigcommerce.com/stores/store_hash/v3/channels/metafields \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '[
> {
> "key": "Staff Name",
> "namespace": "Sales Department",
> "permission_set": "app_only",
> "resource_id": 42,
> "value": "Ronaldo"
> }
>]'
1{
2 "data": [
3 {
4 "permission_set": "app_only",
5 "namespace": "Sales Department",
6 "key": "Staff Name",
7 "value": "Ronaldo",
8 "description": "order",
9 "resource_type": "cart",
10 "resource_id": 424242,
11 "id": 1,
12 "date_created": "2022-06-16T18:39:00+00:00",
13 "date_modified": "2022-06-16T18:39:00+00:00",
14 "owner_client_id": "asdfasdfasdfasdfasdfasdfasdf"
15 }
16 ],
17 "errors": [],
18 "meta": {
19 "pagination": {
20 "total": 36,
21 "count": 36,
22 "per_page": 50,
23 "current_page": 1,
24 "total_pages": 1,
25 "links": {
26 "previous": "string",
27 "current": "?page=1&limit=50",
28 "next": "string"
29 }
30 }
31 }
32}
Create multiple metafields.
Was this page helpful?
Previous

List Channel Metafields

Next

Update Multiple Metafields

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Channel Listings | modify | `store_channel_listings` | | Channel Listings | read-only | `store_channel_listings_read_only` | | Channel Settings | modify | `store_channel_settings` | | Channel Settings | read-only | `store_channel_settings_read_only` | | Sites & Routes | modify | `store_sites` | | Sites & Routes | read-only | `store_sites_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Request

keystringRequired1-64 characters

The name of the field, for example: location_id, color.

namespacestringRequired1-64 characters
Namespace for the metafield, for organizational purposes.
permission_setenumRequired

Determines the visibility and writeability of the field by other API consumers.

ValueDescription
app_onlyPrivate to the app that owns the field.
readVisible to other API consumers.
writeOpen for reading and writing by other API consumers.
read_and_sf_accessVisible to other API consumers, including on the storefront.
write_and_sf_accessOpen for reading and writing by other API consumers, including on the storefront.
Allowed values:
resource_idintegerRequired
The ID for the resource with which the metafield is associated.
valuestringRequired1-65535 characters

The value of the field, for example: 1, blue.

descriptionstringOptional0-255 characters
Description for the metafields.

Response

List of created Metafield objects.

datalist of objects
errorslist of any
Empty for 200 responses.
metaobject
Data about the response, including pagination and collection totals.

Errors

400
Bad Request Error
422
Unprocessable Entity Error

OAuth scopes

UI NamePermissionParameter
Channel Listingsmodifystore_channel_listings
Channel Listingsread-onlystore_channel_listings_read_only
Channel Settingsmodifystore_channel_settings
Channel Settingsread-onlystore_channel_settings_read_only
Sites & Routesmodifystore_sites
Sites & Routesread-onlystore_sites_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.